*{
    margin:0;
    padding:0;
    box-sizing: content-box;
}

.banners-container{

    .item{
        display: flex;
        height: 700px;        
        background-size: cover;
        background-repeat: no-repeat;
        background-position: top left;
        @media screen and (max-width:991px ){
            height: 400px;
        }
    }
  
    .owl-nav{
        position: absolute;
        width: 95%;
        left: 0;
        right: 0;
        top: 50%;
        display: flex;
        justify-content: space-between;
        margin: auto;
        .owl-prev, .owl-next{
            width: 35px;
            height: 35px;
            background: rgba(#333,.6%);
            font-size: 24px;
            text-align: center;
            line-height: 35px;
            border-radius: 3px;
            color: white;
        }
    }
}
.banner-mask{
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    margin: auto;

    .info-wrapper{
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        color: white;
        width: 100%;
        max-width: 1200px;
        margin: auto;
        @media screen and (max-width:1200px){
            max-width: 800px;
        }
        @media screen and (max-width:801px){
          align-items: center;
        }
        .title{
            font-size: 32px;
            margin: 0;
        }
        .description{
            @extend .text-md;
            @media screen and (max-width: 420px){
                display: none;
            }
        }
        .button{
            color:white;
        }
    }
}


.top-properties{
    background: #eeebd9 ;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding-bottom: 50px;
    .section-title{
        letter-spacing: .5px;
        margin: 60px 0 40px;
        font-size: 26px;
        font-family: 'Raleway', sans-serif;
        font-weight: 300;        
        color:rgb(66, 66, 66);
        position: relative;
        &::before{
            content:'';
            display: block;
            position: absolute;
            width: 80px;
            height: 1px;
            background: rgba(#333, $alpha: .5%);
            left:0; 
            right: 0;
            margin: auto;
            bottom: -20px;
        }
    }
    .owl-top{
        width: 100%;
        max-width: 1140px;
        background: $primary;
        @media screen and (max-width: 1141px){
            max-width: 800px;
        }
        .owl-dots{
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            bottom: -30px;
            position: absolute;
           
               .owl-dot{
                 width: 15px;
                 height: 15px;
                 
                 border-radius: 50%;
                 margin: 0 5px;
                 background: #BFC4C8;
                
               }   
               .active{
                background: $primary;
             }
           }

        
        .container-properties{
            position: relative;
            display: flex;
            width: 100%;
            height: 100%;
            @media screen and (max-width: 1141px){
                flex-direction: column;
            }
            .price-container{
                position: absolute;
                width: 100px;
                height: 50px;
                top:10px;
                background: $primary;
                border-radius: 0 5px 5px 0;
                text-align: center;
                span{
                    line-height: 50px;
                    color: white;
                }
            }
            .image{
                width:65%;
                height: 350px;
                background-size: cover;
                background-repeat: no-repeat;
                background-position: top left;
                @media screen and (max-width: 1141px){
                    width: 100%;
                }
    
            }
            .description{
                color: white;
                padding: 10px;
                width: 35%;
                @media screen and (max-width: 1141px){
                    width: 100%;
                    text-align: center;
                    padding: 20px 0;
                    p{
                        padding: 0 8px;
                    }
                }

                a{
                    @extend .text-sm;
                    color:white;
                    border: 1px solid white;
                    padding: 5px 10px;
                    border-radius: 5px;
                    text-decoration: none;
                    transition: all .2s;
                    position: relative;
                    top:10px;
                    &:hover{
                        background: white;
                        color: $primary;
                    }
                }

    
            }
        }
       
    }
}


.recent-properties{
    display: flex;
    align-items: center;
    flex-direction: column;
    padding-top: 70px;
    padding-bottom: 100px;
    .section-title{
        font-family: 'Raleway', sans-serif;
        font-weight: 300;        
        color:rgb(66, 66, 66);
        position: relative;
        margin-bottom: 40px;
        &::before{
            content:'';
            display: block;
            position: absolute;
            width: 80px;
            height: 1px;
            background: rgba($primary, $alpha: .5%);
            left:0; 
            right: 0;
            margin: auto;
            bottom: -19px;
        }
    }
    .recent-grid{
        display: flex;
        width: 100%;
        max-width: 1300px;
        flex-wrap: wrap;
        @media screen and (max-width:1200px) {
            justify-content: center;
        }
        .item-container{
            max-width: 400px;
            min-width: 250px;
            width: 24%;
            background:white;
            border: 1px solid #eeebd9;
            margin: 5px 5px;
            border-radius: 5px;
            @media screen and (max-width:1200px) {
                width: 50%;
                margin: 10px 5px;
            }
            @media screen and (max-width:800px) {
                width: 100%;
                margin: 10px 5px;
            }

            .picture-wrapper{
                width: 100%;
                overflow: hidden; 
                transition: all .2s;
                margin: 0;
                position: relative; 
                &:hover{
                    .picture{
                        transform: scale(1.1);
                    }
                    &::before{
                        background-color: rgba(0, 0, 0, 0.5);                    
                    }
                }             
                .picture{
                    width: 100%;
                    transition: all .2s;
                }

                &::before{
                    content: '';
                    display: block;
                    position: absolute;
                    width: 100%;
                    height: 100%;
                    left: 0;
                    top: 0;
                    z-index: 400;
                    transition: all .2s;
                }
            }
            .attributes{
                overflow: hidden;
                display: flex;
                justify-content: space-around;
                height:25px;
                i{
                    position: relative;
                    &:nth-child(1){
                        
                        &::after{
                            content: '';
                            display: block;
                            background: rgba(#333,.5%);
                            height: 80%;
                            width: 1px;
                            position: absolute;
                            top: 0;
                            right: -40px;
                        }
                    }
                    &:nth-child(2){
                        
                        &::after{
                            content: '';
                            display: block;
                            background: rgba(#333,.5%);
                            height: 80%;
                            width: 1px;
                            position: absolute;
                            top: 0;
                            right: -40px;
                        }
                    }
                }
            }
        }
    }
}